curl --request GET \
--url https://api.projectcor.com/v1/tasks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.projectcor.com/v1/tasks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.projectcor.com/v1/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.projectcor.com/v1/tasks';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.projectcor.com/v1/tasks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.projectcor.com/v1/tasks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"total": "<string>",
"perPage": 123,
"page": 123,
"lastPage": 123,
"data": [
{
"id": 123,
"title": "<string>",
"project_id": 123,
"description": "<string>",
"deadline": "2023-11-07T05:31:56Z",
"status": "nueva",
"priority": 0,
"archived": true
}
]
}Get Tasks
Retrieves a paginated list of tasks. By default, responses are paginated with 20 items per page.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page number (default: 1). Set to false to disable pagination.
Number of items per page (default: 20).
Filters for the task list, expressed as a JSON object URL-encoded into this query string.
Examples of common keys
projects— One project ID, or an array of project IDs.pm— One user ID, or an array of user IDs for the task PM.status— One status or several; examples:nueva,en_proceso,finalizada.
Other supported keys in the same object include labels, categories, clients, collaborator, priority, and sprints.
Important: Use only this parameter for filtering. Do not add extra query parameters such as ?project_id= or ?user_id=.
Optional sort specification as a JSON object URL-encoded into this query string.
For each field you want to sort by, set the value to ASC or DESC (where supported).
Sortable fields include client, project, task, deadline, datetime, pm, priority, and sprint.
The response also uses a default tie-breaker: the task's defined order ascending.
Response
Paginated list of tasks
Was this page helpful?

